// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef FRAME_H_
#define FRAME_H_

#include <vector>
#include <iostream>
#include "Gti.h"


class Frames : public Gti {

 public:
  Frames(double start, double stop, double fracExp);
  ~Frames() {};

  double getFracExp();
  double _fracExp;
  Gti getGTI();
  Gti _gti;
 private:


};

class FrameList  {
public:
	FrameList();
	~FrameList();
	void printFrames();
	void printDeadTime();
	void setGTI(Gti gti);
	GtiList _frameList;
	void setFrame(Frames frm);

	double getRandomTime();
	std::vector<Frames> _frames;
private:


};



#endif /*FRAME_H_*/
