// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef FRAMETABLE_H_
#define FRAMETABLE_H_

#include "FrameList.h"
#include "Dal.h"

class FrameTable {
public:
	FrameTable(Table *table);
	FrameTable(const std::string &setName);
    ~FrameTable();

    friend FrameTable &operator>>(FrameTable &, FrameList &);

    std::string setName() const { return _setName; }

	Table *table() const { return _table; }

	void setRandFlag();
	bool getRandFlag();

	void setFrameTime();
	double getFrameTime();

	void closeDataSet();

	//	data members
	DataSet		*_set;
	Table		*_table;
	std::string	_setName;
	bool		_closeSet;
	bool _randFlag;
	double _frameTime;

};

FrameTable &operator>>(FrameTable &, FrameList &);

#endif /*FRAMETABLE_H_*/
