// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//----------------------------------------------------------------------------
//
//                     XMM Science Analysis System (SAS)
//                    (c) 1997-2010 European Space Agency
//
//---------------------------------------------------------------------------
//
//      GtiCorr.h: --- GTI correction for epic_lccorr
//
//      DESCRIPTION:
//             Corrects the light curve time bin from GTIs
//
//      CHANGE HISTORY:
//              AI, 2008-01-11: 1.0.0: - first version
//
//      AUTHOR:
//              A. Ibarra (AI), Wed Jan  9 17:54:04 GMT 2008
//
//


#ifndef GTICORR_H_
#define GTICORR_H_

#include "SelectUtils.h"
#include "LCGrid.h"

class GtiCorr 
{
 public:	
  GtiCorr(GtiList);
  ~GtiCorr(){};
		
  void doCorr(LCGrid *lcgrid);
  void printCorr();
  
 private:
	 GtiList _gtiList;
	 std::vector<double> _gtiCorr;
};


#endif /*GTICORR_H_*/

