// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	checkBackSub: Test the relative correction algorithms for a Time Serie
// 	                  with a selection region containing more than one CCD
//  AI, Wed Feb  6 14:56:05 GMT 2008
//
//

#include <cassert>
#include <iostream>
#include <iomanip>
/* AI gcc4 porting
 * error: ‘strcmp’ was not declared in this scope
 * error: ‘exit’ was not declared in this scope
 */
#include <cstring>
#include <cstdlib>

#include "LightCurve.h"



using namespace std;

int main(int argc, char* argv[])
{

	if ((argc != 4 ) || !strcmp(argv[1],"-h") || !strcmp(argv[1],"-H"))
	    {
	      std::cout << "Usage: " << argv[0] << " srcLC.fits bkgLC.fits eventFile.fits" << std::endl;
	      exit(0);
	    }

	LightCurve *srcLC = new LightCurve((string) argv[1], (string) argv[3]);
	srcLC->calSpec();
	srcLC->getSpec()->calArfgen(Spect::SRC);
	srcLC->getSpec()->readSpec();
	srcLC->getSpec()->readArf(Spect::SRC);
	srcLC->getSpec()->calArfgen(Spect::ON);
	srcLC->getSpec()->readArf(Spect::ON);
	srcLC->doAbsoluteCorr();


	LightCurve *bkgLC = new LightCurve((string) argv[2], (string) argv[3]);
	bkgLC->calSpec();
	bkgLC->getSpec()->calArfgen(Spect::BKG);
	bkgLC->getSpec()->readSpec();
	bkgLC->getLC()->calRateAndErr();

	srcLC = srcLC->operator-(bkgLC);

	srcLC->applyAbsCorr();

	srcLC->createFile("test.lc",bkgLC);

	delete srcLC;
	delete bkgLC;


	 return 0;
}
