// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	checkDeadTimeCorr: test to epic Dead Time correction algorithm.
//  AI, Wed Jan 30 14:33:06 GMT 2008
//
//

#include <cassert>
#include <iostream>
#include <iomanip>

#include "FrameTable.h"
#include "DeadTime.h"
#include "LightCurve.h"

using namespace std;

int main()
{
	//gti.fits
	double binSize = 100.0;
	LightCurve timeBin = LightCurve(193459441.567537,193467250.0,binSize);      
	
	
	FrameTable in1("gti.fits:EXPOSU01");
	FrameList li1; in1>>li1;

	Exposure exposure(li1);
	exposure.doCorr(timeBin.getLC(),1.0);	
	DeadTime deadTime(li1);
	deadTime.doCorr(timeBin.getLC());		
	
	assert(timeBin.getLC()->_fracExp[62]-0.0177502 < 1e-7);
	assert(timeBin.getLC()->_fracExp[63] == 0.0);
	assert(timeBin.getLC()->_fracExp[64] == 0.0);
	
	
	return 0;
}
