// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	checkGTIsCorr: test to epic GTIs correction algorithm.
//  AI, Wed Jan  9 17:54:04 GMT 2008
//
//

#include <cassert>
#include <iostream>
#include <iomanip>

#include "GtiCorr.h"
#include "LCGrid.h"
#include "Gti.h"

using namespace std;

int main()
{
  //gti.fits
  double binSize = 17000.0;
  LCGrid timeBin =	LCGrid(49110000.0,49190000.0,binSize);      
  InOGIPgtiTable in1("gti.fits");

  /*
  //PNclean.fits
  double binSize = 100.0;
  GridSpan timeBin =	GridSpan(310088000.0,310093400.048793,binSize);  
  InOGIPgtiTable in1("PNclean.fits:STDGTI04");
  
  InOGIPgtiTable in2("PNclean.fits:GTI00003");
  GtiCorr li2; in2>>li2;
  li1 &= li2;
  */
	
  GtiList li1; in1>>li1;
  GtiCorr gti(li1);
  gti.doCorr(&timeBin);  
  //GtiList kk = timeBin.getGtiList();
  //timeBin.printGtiList();
//  timeBin.printFracExp();
  

  double frac0 =  0.411764705882352922;
  double frac4 =  0.91666666666666663;
  assert((timeBin._fracExp[0] - frac0) < 1e-8);
  assert(timeBin._fracExp[1] == 1.0);
  assert(timeBin._fracExp[2] == 1.0);
  assert(timeBin._fracExp[3] == 1.0);
  assert((timeBin._fracExp[4] - frac4) < 1e-8);

  return 0;
} //main
