// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	relativeCorrTest: test to epic Relative Correction algorithms.
//  AI, Thu Jan 31 10:34:38 GMT 2008
//
//

#include <cassert>
#include <iostream>
#include <iomanip>
/* AI gcc4 porting
 * error: ‘strcmp’ was not declared in this scope
 * error: ‘exit’ was not declared in this scope
 */
#include <cstring>
#include <cstdlib>

#include "LightCurve.h"
#include <errstr.h>

using namespace std;

int main(int argc, char* argv[])
{

	if ((argc != 3 ) || !strcmp(argv[1],"-h") || !strcmp(argv[1],"-H"))
	    {
	      std::cout << "Usage: " << argv[0] << " rates.ds eventFile.fits" << std::endl;
	      exit(0);
	    }


	LightCurve lc((string) argv[1], (string) argv[2]);

	lc.doRelativeCorr(Spect::SRC);
	lc.getLC()->calRateAndErr();

	/*
	 * Display Light curve
	 */

	lc.getLC()->printFracExp();
	lc.getLC()->printLC();


	return 0;
}
